Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
secmem.h File Reference
`#include <botan/mem_ops.h>`
`#include <algorithm>`
`#include <vector>`
`#include <deque>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | Botan::secure_allocator< T >

## Namespaces
| Botan

## Typedefs
template<typename T >
using | Botan::secure_deque = std::deque< T, secure_allocator< T >>
template<typename T >
using | Botan::secure_vector = std::vector< T, secure_allocator< T >>

## Functions
template<typename T , typename Alloc >
size_t | Botan::buffer_insert (std::vector< T, Alloc > &buf, size_t buf_offset, const T input[], size_t input_length)
template<typename T , typename Alloc , typename Alloc2 >
size_t | Botan::buffer_insert (std::vector< T, Alloc > &buf, size_t buf_offset, const std::vector< T, Alloc2 > &input)
template<typename T , typename U >
bool | Botan::operator!= (const secure_allocator< T > &, const secure_allocator< U > &)
template<typename T , typename Alloc , typename Alloc2 >
std::vector< T, Alloc > & | Botan::operator+= (std::vector< T, Alloc > &out, const std::vector< T, Alloc2 > &in)
template<typename T , typename Alloc >
std::vector< T, Alloc > & | Botan::operator+= (std::vector< T, Alloc > &out, T in)
template<typename T , typename Alloc , typename L >
std::vector< T, Alloc > & | Botan::operator+= (std::vector< T, Alloc > &out, const std::pair< const T *, L > &in)
template<typename T , typename Alloc , typename L >
std::vector< T, Alloc > & | Botan::operator+= (std::vector< T, Alloc > &out, const std::pair< T *, L > &in)
template<typename T , typename U >
bool | Botan::operator== (const secure_allocator< T > &, const secure_allocator< U > &)
template<typename T >
std::vector< T > | Botan::unlock (const secure_vector< T > &in)
template<typename T , typename Alloc >
void | Botan::zap (std::vector< T, Alloc > &vec)
template<typename T , typename Alloc >
void | Botan::zeroise (std::vector< T, Alloc > &vec)